Publications
Delete one saved publication destination
This permanently removes the destination and its segment and media overrides. Deselecting an account does not call this operation.
DELETE
/publications/{id}/renditions/{account_id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Publication ID
account_id*string
Connected account ID
Query Parameters
target_key?string
Exact provider subdestination key; required when the account has multiple targets
confirm?boolean
Explicit confirmation that saved destination settings may be deleted
expected_revision?integer
Revision loaded by the editor
Format
int64Range
1 <= valueResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/publications/string/renditions/string"{ "$schema": "https://example.com/api/v1/schemas/ActionOutputBody.json", "activation_publication_id": "string", "job_id": "string", "message": "string", "publication_id": "string", "renditions": [ { "delivery": { "current_attempt_created_at": "string", "current_attempt_id": "string", "current_attempt_number": 0, "error_code": "string", "error_http_status": 0, "error_kind": "string", "external_id": "string", "external_url": "string", "last_reconciled_at": "string", "next_reconciliation_at": "string", "recovery_action": "none", "state": "string", "target_key": "string", "terminal_reason": "string" }, "id": "string", "platform": "string", "social_account_id": "string", "status": "string", "target_key": "string" } ], "revision": 0, "workspace_activated": true}